OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.Domain

Description

This is a purely internal module for handling evaluator domains.

# Documentation

class Storable d => Domain d where

Methods

glMap1 :: GLenum -> d -> d -> GLint -> GLint -> Ptr d -> IO ()

glMap2 :: GLenum -> d -> d -> GLint -> GLint -> d -> d -> GLint -> GLint -> Ptr d -> IO ()

glGetMapv :: GLenum -> GLenum -> Ptr d -> IO ()

evalCoord1 :: d -> IO ()

evalCoord1v :: Ptr d -> IO ()

evalCoord2 :: (d, d) -> IO ()

evalCoord2v :: Ptr d -> IO ()

glMapGrid1 :: GLint -> d -> d -> IO ()

glMapGrid2 :: GLint -> d -> d -> GLint -> d -> d -> IO ()

get2 :: GetPName2F p => (d -> d -> a) -> p -> IO a

get4 :: GetPName4F p => (d -> d -> d -> d -> a) -> p -> IO a

Instances

Domain GLdouble |
Domain GLfloat |